GNUNET-PSEUDONYM(1)

NAME
gnunet-pseudonym - create, delete or list pseudonyms

SYNOPSIS
gnunet-pseudonym [options]

DESCRIPTION

gnunet-pseudonym is a tool for managing pseudonyms and namespaces. A pseudonym is the persona that controls a namespace. As such, it is identical to a public-private RSA key pair. A namespace is a collection of files that have been signed by the corresponding private RSA key. A namespace is typically associated with a nickname and other metadata. Namespaces are an important tool for providing assurances about content integrity and authenticity in GNUnet. Since all of the content in the namespace must have been provided by the same entity, users can form an opinion about that entity and learn to search (or avoid) certain namespaces. gnunet-pseudonym can be used to list all of the pseudonyms that were created locally, to create new pseudonyms, to delete existing pseudonyms (the namespace will continue to exist, but it will be impossible to add additional data to it) and to list all of the namespaces (with their meta-data) known to the local user. By default, gnunet-pseudonym lists all pseudonyms that were discovered so far. Creating a new pseudonym requires using the -C option together with a nickname that is to be used for the namespace. Nicknames must be unique for each user, global uniqueness is desirable but not necessary. If two namespaces in GNUnet use the same nickname all GNUnet tools will display the nickname together with a number which ensures that the name becomes locally unique to avoid ambiguity. Additional options can be passed together with the -C option to provide additional meta-data that describes the namespace. Possible meta-data includes the 'realname' of the person controlling the namespace, a description, the mime-type for content in the namespace (useful if the namespace is dedicated to some specific type of content) and contact information. One important piece of meta-data that can be specified is the identifier of a document root, that is the name of a file in the namespace that is a portal to the rest of the content. This is useful to help users find this root in the absence of conventions. Note that all of this meta-data is optional and should never be trusted blindly. As mentioned before, by default, gnunet-pseudonym simply lists the meta-data available for other namespaces. Namespaces can be discovered whenever the peer obtains the namespace advertisement. Namespace advertisements can be found using ordinary keyword-based searches (by default gnunet-pseudonym publishes the namespace advertisement under the keyword 'namespace', but the -k option can be used to specify other keywords) and under the 'empty' identifier of the respective namespace (using a namespace-search if the namespace ID is already known). For more details about GNUnet namespaces and content encoding please read the 'Encoding for Censorship-resistant Sharing' (ECRS) paper which can be found on the GNUnet webpage.

-a LEVEL, --anonymity=LEVEL
    set desired level of sender anonymity. Default is 1.

-C NAME, --create=NAME
    Creates a new pseudonym with the given NAME or creates a new advertisement for the pseudonym with the given NAME (if the pseudonym already exists).

-D NAME, --delete=NAME
    Delete the pseudonym with the given NAME.

-h, --help
    Print help page.

-k KEYWORD, --keyword=KEYWORD
    Publish a namespace advertisement under the keyword 'KEYWORD'. Default is 'namespace' (use with -C). You can specify -k multiple times. In that case, the namespace will be published under each of those keywords.

-m TYPE:VALUE, --meta=TYPE:VALUE
    For the main file (or directory), set the metadata of the given TYPE to the given VALUE. Note that this will not add the respective VALUE to the set of keywords under which the file can be found.

-o, --only-local
    display names of local namespaces (those that we can extend with content because we created them)

-p PRIORITY, --prio=PRIORITY
    Set the priority of the namespace advertisement (default: 365). If the local database is full, GNUnet will discard the content with the lowest ranking. Note that ranks change over time depending on popularity. The default should be high enough to preserve the locally inserted content in favor of content that migrates from other peers.

-q, --quiet
    Do not print the list of pseudonyms (only perform create or delete operation).

-r LEVEL, --replication=LEVEL
    Set the desired replication level. If CONTENT_PUSHING is set to YES, GNUnet will push each block (for the file) LEVEL times to other peers before doing nomral "random" replication of all content. This option can be used to push some content out into the network harder. Note that pushing content LEVEL times into the network does not guarantee that there will actually be LEVEL replicas.

-R IDENTIFIER, --root=IDENTIFIER
    Specify the identifier for the root of the namespace. Used in the namespace advertisement to tell users that find the namespace advertisement about an entry-point into the namespace (use with -C). Advertisements are only created if "-C" and "-r" are specified.

-s ID:VALUE, --set-rating=ID:VALUE
    Change the rating for the namespace identified by ID by VALUE. For example, "-s test:-3" decrements the rating of the pseudonym "test" by 3. Note that ratings are purely local. Each user has his own independent rating of namespaces. The rating is merely a way for each user to keep track of his own experience with a given namespace.

FILES

~/.gnunet/data/pseudonyms/
    Directory where the pseudonyms are stored

REPORTING BUGS
Report bugs by using Mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet-publish(1), gnunet-search(1)